Custom Applications
Retrieve custom mobile application configurations
Returns all custom applications in short format. When none is configured, returns the default application in full format.
Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
Page of the overview.
0Pattern: \d+Number of result by page (Max 100)
10Pattern: -?\d+API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: List of custom apps
Missing or invalid access token.
GET /{app_short}/customapps HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"apps": [
{
"banner": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created_at": 1,
"groups": [],
"id": 1,
"logo": "text",
"menus": [
{
"created_at": 1,
"icon": {
"type": "text",
"value": "text"
},
"index": 1,
"label": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"target": "text",
"updated_at": 1
}
],
"name": "text",
"screens": [
{
"created_at": 1,
"name": "text",
"pages": [
{
"layout": [
{
"height": 1,
"width": 1,
"x": 1,
"y": 1
}
],
"side_menu": true,
"system_name": "text",
"title": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"widgets": [
{
"background": "text",
"color": "text",
"icon": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"index": 1,
"label": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"target": "text",
"type": "text"
}
]
}
],
"updated_at": 1
}
],
"settings": [],
"updated_at": 1
}
],
"total_count": 1,
"total_pages": 1,
"server_time": 1
}Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
\d+Results updated since this date
nullPattern: \d+API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: Custom app details
Missing or invalid access token.
No custom app with this identifier.
GET /{app_short}/customapps/{app_id} HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"app": {
"banner": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created_at": 1,
"groups": [],
"id": 1,
"logo": "text",
"menus": [
{
"created_at": 1,
"icon": {
"type": "text",
"value": "text"
},
"index": 1,
"label": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"target": "text",
"updated_at": 1
}
],
"name": "text",
"screens": [
{
"created_at": 1,
"name": "text",
"pages": [
{
"layout": [
{
"height": 1,
"width": 1,
"x": 1,
"y": 1
}
],
"side_menu": true,
"system_name": "text",
"title": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"widgets": [
{
"background": "text",
"color": "text",
"icon": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"index": 1,
"label": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"target": "text",
"type": "text"
}
]
}
],
"updated_at": 1
}
],
"settings": [],
"updated_at": 1,
"button_type": "standard",
"grant_all": true,
"label_overlay": true,
"splash": {
"active": true,
"aspect": "fit",
"color": "text",
"created_at": 1,
"image": "text",
"updated_at": 1
},
"widget_spacing": 0
},
"total_count": 1,
"total_pages": 1,
"server_time": 1
}Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
\d+[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: Binary file content
Missing or invalid access token.
GET /{app_short}/customapps/{app_id}/file/{uuid} HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
binaryLast updated
Was this helpful?

